GLUERRORSTRING(3G)

NAME
gluErrorString - produce an error string from a GL or GLU error code

C SPECIFICATION

const GLubyte * gluErrorString(GLenum error);

PARAMETERS

error
    Specifies a GL or GLU error code.

DESCRIPTION

gluErrorString produces an error string from a GL or GLU error code. The string is in ISO Latin 1 format. For example, gluErrorString(GLU_OUT_OF_MEMORY) returns the string out of memory.

The standard GLU error codes are GLU_INVALID_ENUM, GLU_INVALID_VALUE, and GLU_OUT_OF_MEMORY. Certain other GLU functions can return specialized error codes through callbacks. See the glGetError() reference page for the list of GL error codes.

ERRORS

NULL is returned if error is not a valid GL or GLU error code.

SEE ALSO

gluNurbsCallback(), gluQuadricCallback(), gluTessCallback(), glGetError()

COPYRIGHT

Copyright © 1991-2006 Silicon Graphics, Inc. This document is licensed under the SGI Free Software B License. For details, see http://oss.sgi.com/projects/FreeB/.